package it.unibo.stradivarius.fragmentarticlereader;

import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;

public class DetailsFragment extends Fragment {

    String text = "";

    @Override
    public void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        int id = getArguments().getInt("index", 1);

        Log.d("ID", String.valueOf(id));

        if (id == 1) {
            text = getResources().getString(R.string.desc1);
        } else if (id == 2) {
            text = getResources().getString(R.string.desc2);
        }
    }



    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container,
                             @Nullable Bundle savedInstanceState) {
        return inflater.inflate(R.layout.details_layout, container, false);
    }

    @Override
    public void onResume() {
        super.onResume();

        TextView tw = getActivity().findViewById(R.id.text_details);
        if (tw != null) {
            tw.setText(text);
        }
    }
}
