package it.unibo.stradivarius.fragmentarticlereader;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;

public class TitleFragment extends Fragment {

    boolean dual;

    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container,
                             @Nullable Bundle savedInstanceState) {

        return inflater.inflate(R.layout.title_layout, container, false);
    }

    @Override
    public void onActivityCreated(@Nullable Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);
        dual = false;

        /* Get the frame layout containing the details, if it is visible, we are in landscape */
        View v = getActivity().findViewById(R.id.details);
        if (v != null && v.getVisibility() == View.VISIBLE){
            dual = true;
        }

        /* Tell what happens when buttons are pressed */
        Button one = getActivity().findViewById(R.id.title1);
        one.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                ((MainActivity)getActivity()).swapFragment(1, dual);
            }
        });

        Button two = getActivity().findViewById(R.id.title2);
        two.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                ((MainActivity)getActivity()).swapFragment(2, dual);
            }
        });

    }
}
